"Could not open ...deb. The package might be corrupted or you are not allowed to open the file. Check the permissions of the file" with latest 0.9.5

Bug #1301422 reported by Alin Andrei on 2014-04-02
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gdebi (Ubuntu)
High
Barry Warsaw

Bug Description

Ubuntu 14.04 with gdebi 0.9.5 (updated today): gdebi-gtk can no longer open deb files after this update. When trying to open a file, this message is displayed: "Could not open ...deb. The package might be corrupted or you are not allowed to open the file. Check the permissions of the file".

I've tried it with quite a few deb files, which were working prior to the update to gdebi 0.9.5, all with the same result.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: gdebi 0.9.5
ProcVersionSignature: Ubuntu 3.13.0-19.40-generic 3.13.6
Uname: Linux 3.13.0-19-generic x86_64
ApportVersion: 2.14-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Wed Apr 2 17:37:21 2014
InstallationDate: Installed on 2012-12-30 (458 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
PackageArchitecture: all
SourcePackage: gdebi
UpgradeStatus: Upgraded to trusty on 2013-01-12 (445 days ago)

Related branches

Alin Andrei (nilarimogard) wrote :
Julian Taylor (jtaylor) on 2014-04-04
Changed in gdebi (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Barry Warsaw (barry) on 2014-04-04
Changed in gdebi (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdebi - 0.9.5.2

---------------
gdebi (0.9.5.2) unstable; urgency=medium

  * Add a universal_newlines=True to Popen command to get a proper unicode
    object. (LP: #1301422)
  * Whitespace normalization.

 -- Barry Warsaw <email address hidden> Fri, 04 Apr 2014 09:48:25 -0400

Changed in gdebi (Ubuntu):
status: In Progress → Fix Released
Alin Andrei (nilarimogard) wrote :

The bug was not fixed, it still occurs for me.

Changed in gdebi (Ubuntu):
status: Fix Released → Confirmed
Alin Andrei (nilarimogard) wrote :

Also, I'm using the latest gdebi from the 14.04 repositories:

$apt-cache policy gdebi
gdebi:
  Installed: 0.9.5.3
  Candidate: 0.9.5.3
  Version table:
 *** 0.9.5.3 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
        100 /var/lib/dpkg/status

Michael Vogt (mvo) wrote :

@Alin: could you please provide a link to the deb file that fails to open for you? Does it also happen if you e.g. run "apt-get download 2vcard; gdebi-gtk 2vcard*.deb" in a terminal?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers